Name:       wapiti
Version:    2.3.0
Release:    %mkrel 6
Summary:    A web application vulnerability scanner
Group:      Security
License:    GPLv2
Url:        http://wapiti.sourceforge.net/
Source:     http://sourceforge.net/projects/wapiti/files/wapiti/wapiti-%{version}/wapiti-%{version}.tar.gz
BuildRequires: python-setuptools
BuildArch: noarch

%description
Wapiti allows you to audit the security of your web applications.
It performs "black-box" scans, i.e. it does not study the source code of the
application but will scans the webpages of the deployed webapp, looking for
scripts and forms where it can inject data.
Once it gets this list, Wapiti acts like a fuzzer, injecting payloads to see
if a script is vulnerable.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --single-version-externally-managed -O1 --root=%{buildroot}

%files
%{_docdir}/%{name}
%{_bindir}/wapiti
%{_bindir}/wapiti-cookie
%{_bindir}/wapiti-getcookie
%{_mandir}/man1/wapiti.1*
%{py_puresitedir}/wapiti-%{version}-py%{pyver}.egg-info
%{py_puresitedir}/wapitiCore


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 2.3.0-6.mga6
+ Revision: 944963
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.3.0-5.mga5
+ Revision: 746216
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.3.0-4.mga5
+ Revision: 730727
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.3.0-3.mga5
+ Revision: 690267
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Nov 12 2013 guillomovitch <guillomovitch> 2.3.0-1.mga4
+ Revision: 550740
- imported package wapiti

